sockaddr_in6(3type)

NAME
sockaddr_in6, in6_addr - IPv6 socket address

LIBRARY
Standard C library (libc)

SYNOPSIS
    #include <netinet/in.h>

struct sockaddr_in6 {
    sa_family_t     sin6_family;    /* AF_INET6 */
    in_port_t       sin6_port;      /* Port number */
    uint32_t        sin6_flowinfo;  /* IPv6 flow info */
    struct in6_addr sin6_addr;      /* IPv6 address */
    uint32_t        sin6_scope_id;  /* Set of interfaces for a scope */
};

struct in6_addr {
    uint8_t   s6_addr[16];
};

DESCRIPTION

sockaddr_in6
    Describes an IPv6 Internet domain socket address.

in6_addr
    Contains a 128-bit IPv6 address, stored in network byte order.

STANDARDS
POSIX.1-2024.

HISTORY
POSIX.1-2001.

SEE ALSO
sockaddr_in(3type), sockaddr(3type)